Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 114247 - used before set ?
used before set ?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: GConf (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-25 08:37 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 11:15:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-01-25 08:37:28 EST
Description of problem:

I just tried to compile package GConf-1.0.9-11, from Redhat
Fedora Core 1.

The compiler said

1.

gconftool.c(551): remark #592: variable "conf" is used before its
value is set

The source code is

      if (do_get_default_source (conf, args)  == 1)

I recommend initialising conf before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kjartan Maraas 2004-05-20 09:33:02 EDT
Which compiler did you use? I've never seen gcc throw something like
that with this package. In addition this is a GNOME 1.x package that
is effectively not maintained any longer and shouldn't be used by many
if any packages at all - at least not from FC2 on.
Comment 2 d.binderman 2004-05-20 13:00:56 EDT
I used Intel's icc - much better than gcc for both
warnings and code quality.

Independent of how much use it gets, it's part of FC1,
with all the quality requirements that implies,
and fixing easy to fix bugs seems like a reasonable thing
to do.
Comment 3 Mark McLoughlin 2004-06-04 11:15:40 EDT
I don't think its worth packaging a patch for a compiler warning in a
dead package.

If this was GConf2, I'd fix it upstream in a flash and close as
resolved upstream. But GConf (1.x) isn't going to see new releases.
Comment 4 David Binderman 2004-11-16 11:11:10 EST
>I don't think its worth packaging a patch for a compiler warning in a
>dead package.

Fair enough, but the bug still exists in Fedora Core 3 - someone
must be using it or it wouldn't be in Core 3.


Note You need to log in before you can comment on or make changes to this bug.